Author Topic: Civil ?  (Read 237 times)

0 Members and 1 Guest are viewing this topic.

PHX cadie

  • Water Moccasin
  • Posts: 1873
Civil ?
« on: April 13, 2017, 02:06:31 pm »
A civil question, but thought I'd post in the general board so......

Background:
Years ago a young Eng showed me how to use a block and develop a table of Northing/Eastings, (the x and y value of the insertion of that block, text, fields)

Question for curves:
Is there a way to extract (to a table, in text format) the radius, arc length and "total angle" (delta) of an arc??

Hope this is coherent, attached a file if it helps, (Acad needs a regenall for the numbers to update)

THXS!

ver 2013
Acad 2013 and XM
Back when High Tech meant you had an adjustable triangle

BIGAL

  • Newt
  • Posts: 65
  • 30 + years of using Autocad
Re: Civil ?
« Reply #1 on: April 17, 2017, 01:16:44 am »
This will give you an idea of what basic info is available using Vlisp Vla-get-radius etc. If you search a bit there should be a lisp out there.
Did you try DATAEXTRACT

; Property values:
;   ArcLength (RO) = 260.144
;   Area (RO) = 10083.8
;   Center = (361.399 232.731 0.0)
;   EndAngle = 3.24079
;   EndPoint (RO) = (252.347 221.878 0.0)
;   Layer = "DEFAULT"
;   Linetype = "ByLayer"
;   LinetypeScale = 1.0
;   Lineweight = -1
;   Material = "ByLayer"
;   ObjectName (RO) = "AcDbArc"
;   PlotStyleName = "ByLayer"
;   Radius = 109.591
;   StartAngle = 0.867017
;   StartPoint (RO) = (432.316 316.283 0.0)
;   Thickness = 0.0
;   TotalAngle (RO) = 2.37377

Code: [Select]
; an example
(setq obj (vlax-ename->vla-object (car (entsel "\nPick object"))))
(alert (strcat "Radius is " (rtos (vla-get-radius obj) 2 3)))
A man who never made a mistake never made anything

BIGAL

  • Newt
  • Posts: 65
  • 30 + years of using Autocad
Re: Civil ?
« Reply #2 on: April 17, 2017, 01:21:58 am »
Had a look at your dwg and I would use a single row for the info much easier in a table sense, the second idea is make a block and populate the correct attributes then they can be any pattern, we have a multiline schedule and just add a block to each line filling in info and trim when finished.

Have a look at Lee-mac.com he has some good table info routines.
A man who never made a mistake never made anything

PHX cadie

  • Water Moccasin
  • Posts: 1873
Re: Civil ?
« Reply #3 on: April 21, 2017, 04:48:22 pm »
:)
Thxs, sorry 4 the delay (work keeps getting in the way)
Acad 2013 and XM
Back when High Tech meant you had an adjustable triangle